CL2C Swagger reference
Choose an endpoint, enter its required values, and inspect or send a real API request.
OpenAPI 3.0.3 · Swagger format
View or download the OpenAPI specification
21 endpoints
Complete endpoint URL
put
https://developer.taliware.com/api/v1/cl2c/nftUpdate NFT metadata or status
Update name, description, status, or mintedAt for an NFT.
x-api-key<token>
In: header
id?string
name?string
description?string
status?string
Value in
"PENDING" | "CREATED" | "MINTED" | "FAILED"mintedAt?string
Format
date-timeResponse Body
curl -X PUT "https://developer.taliware.com/api/v1/cl2c/nft" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"status": "string",
"name": "string",
"description": "string",
"externalUrl": "string",
"imagePath": "string",
"supply": 0,
"mintedAt": "2019-08-24T14:15:22Z",
"smartContract": {
"id": "string",
"name": "string",
"symbol": "string",
"contractAddress": "string",
"status": "string",
"network": "string",
"env": "string"
}
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}